commit:     5054dfc6f955b18d28a0089b759610f291954a5d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 26 16:05:29 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Jan 26 16:06:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5054dfc6

net-dns/nsd: Bump to version 4.3.5

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-dns/nsd/Manifest         |   1 +
 net-dns/nsd/nsd-4.3.5.ebuild | 118 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/net-dns/nsd/Manifest b/net-dns/nsd/Manifest
index b0b1f2df68f..5a7c0f0252c 100644
--- a/net-dns/nsd/Manifest
+++ b/net-dns/nsd/Manifest
@@ -1 +1,2 @@
 DIST nsd-4.3.4.tar.gz 1182467 BLAKE2B 
10c06be9df393774627a42a7cf254202fe9800e7cd5048d392fbf90a65321a4596e742165b1157b3a0ce0645a80ae5425f7d43eb0a453077e45bff06d52347d4
 SHA512 
fe332caecfd3c6bb8ae1a92fec26984a7953e5e462515e8622c1079b217c962728e841826cdf7899f47f9ac24af1dd383f8ba7981541b05a2338cd288c40b0a7
+DIST nsd-4.3.5.tar.gz 1184220 BLAKE2B 
0ded84d9a0c25b86af6c05a7ab3ffb680177142b79a96f952cdeb92d87d9d0f306fb3c864b8f3cb769b05b0a863a7470df9407e6f3f5f0bc9a32891185d32b6f
 SHA512 
bd031da779ff7b9b53fb4ea4d038a51f3b8f7b59a2927f674def46ca775f30afa059b471fed7d8ebcd2b7d02968945972b98856198eafbc4263d3064dae01029

diff --git a/net-dns/nsd/nsd-4.3.5.ebuild b/net-dns/nsd/nsd-4.3.5.ebuild
new file mode 100644
index 00000000000..4ec0d9ca8c8
--- /dev/null
+++ b/net-dns/nsd/nsd-4.3.5.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+# version voodoo needed only for non-release tarballs: 4.0.0_rc1 => 4.0.0rc1
+MY_PV="${PV/_beta/b}"
+MY_PV="${MY_PV/_rc/rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="An authoritative only, high performance, open source name server"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/nsd";
+SRC_URI="http://www.nlnetlabs.nl/downloads/${PN}/${MY_P}.tar.gz";
+LICENSE="BSD"
+SLOT="0"
+[[ "${PV}" == *_beta* ]] || [[ "${PV}" == *_rc* ]] || \
+KEYWORDS="~amd64 ~x86"
+IUSE="bind8-stats dnstap ipv6 libevent minimal-responses mmap munin +nsec3 
ratelimit root-server runtime-checks ssl systemd libressl"
+
+S="${WORKDIR}/${MY_P}"
+
+RDEPEND="
+       acct-group/nsd
+       acct-user/nsd
+       dnstap? (
+               dev-libs/fstrm
+               dev-libs/protobuf-c
+       )
+       libevent? ( dev-libs/libevent )
+       munin? ( net-analyzer/munin )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+       systemd? ( sys-apps/systemd )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       sys-devel/flex
+       virtual/yacc
+       systemd? ( virtual/pkgconfig )
+"
+
+PATCHES=(
+       # Fix the paths in the munin plugin to match our install
+       "${FILESDIR}"/nsd_munin_.patch
+)
+
+src_prepare() {
+       default
+       # Required to get correct pkg-config macros with USE="systemd"
+       # see bugs #663618 and #758050
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --enable-largefile
+               --enable-pie
+               --enable-relro-now
+               --enable-tcp-fastopen
+               --with-dbfile="${EPREFIX}"/var/db/nsd/nsd.db
+               --with-logfile="${EPREFIX}"/var/log/nsd.log
+               --with-pidfile="${EPREFIX}"/run/nsd/nsd.pid
+               --with-xfrdfile="${EPREFIX}"/var/db/nsd/xfrd.state
+               --with-xfrdir="${EPREFIX}"/var/db/nsd
+               --with-zonelistfile="${EPREFIX}"/var/db/nsd/zone.list
+               --with-zonesdir="${EPREFIX}"/var/lib/nsd
+               $(use_enable bind8-stats)
+               $(use_enable bind8-stats zone-stats)
+               $(use_enable dnstap)
+               $(use_enable ipv6)
+               $(use_enable minimal-responses)
+               $(use_enable mmap)
+               $(use_enable nsec3)
+               $(use_enable ratelimit)
+               $(use_enable root-server)
+               $(use_enable runtime-checks checking)
+               $(use_enable systemd)
+               $(use_with libevent)
+               $(use_with ssl)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       dodoc 
doc/{ChangeLog,CREDITS,NSD-4-features,NSD-FOR-BIND-USERS,README,RELNOTES,REQUIREMENTS}
+
+       newinitd "${FILESDIR}"/nsd.initd-r1 nsd
+
+       # install munin plugin and config
+       if use munin ; then
+               exeinto /usr/libexec/munin/plugins
+               doexe contrib/nsd_munin_
+               insinto /etc/munin/plugin-conf.d
+               newins "${FILESDIR}"/nsd.munin-conf nsd_munin
+       fi
+
+       systemd_dounit "${FILESDIR}"/nsd.service
+
+       # remove the /run directory that usually resides on tmpfs and is
+       # being taken care of by the nsd init script anyway (checkpath)
+       rm -r "${ED}"/run || die "Failed to remove /run"
+
+       keepdir /var/db/${PN}
+}
+
+pkg_postinst() {
+       # database directory, writable by nsd for database updates and zone 
transfers
+       install -d -m 750 -o nsd -g nsd "${EROOT}"/var/db/nsd
+
+       # zones directory, writable by nsd for zone file updates (nsd-control 
write)
+       install -d -m 750 -o nsd -g nsd "${EROOT}"/var/lib/nsd
+}

Reply via email to